extends PanelContainer

@onready var texture_rect = $MarginContainer/TextureRect
@onready var quantity_label = $"Quantity Label"

func set_slot_data(slot_data: Slot_Data) -> void:
	var member_data = slot_data.memberData
	#Updates texture
	texture_rect.texture = member_data.texture
	tooltip_text = "%s\n%s" % [member_data.name, member_data.description]
	
	if slot_data.quantity > 1:
		quantity_label.text = "x%s" % slot_data.quantity
		quantity_label.show()
